Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerConnection

All Superinterfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

All Known Subinterfaces:
  `ISQLServerConnection43`

All Known Implementing Classes:
  `SQLServerConnection`, `SQLServerConnection43`

    public interface ISQLServerConnection
    extends Connection

This interface is implemented by SQLServerConnection Class.

### Field Summary

Fields
`static int` `TRANSACTION_SNAPSHOT`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`UUID` `getClientConnectionId​()` Gets the connection ID of the most recent connection attempt, regardless of whether the attempt succeeded or failed.

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### TRANSACTION_SNAPSHOT

    static final int TRANSACTION_SNAPSHOT

See Also:
  Constant Field Values

### Method Detail

#### getClientConnectionId

    UUID getClientConnectionId​()
                        throws SQLException

Gets the connection ID of the most recent connection attempt, regardless of whether the attempt succeeded or failed.

Returns:
  16-byte GUID representing the connection ID of the most recent connection attempt. Or, NULL if there is a failure after the connection request is initiated and the pre-login handshake.
Throws:
  `SQLException` - If any errors occur.